Upgrade from 8.5.3 FP2 to FP3 fails with npjp2.dll error

Technote (troubleshooting)


When upgrading to 8.5.3 FP3 from 8.5.3 FP2, the install fails with the following popup:

In the logs, this error is seen:

CopyFile(C:\Users\ADMINI~1\AppData\Local\Temp\restore\PROGDIR\jvm\bin\new_plugin\npjp2.dll, C:\Program Files (x86)\IBM\Lotus\Notes\jvm\bin\new_plugin\npjp2.dll) failed: 3


This issue is caused by installing the JVM security patch located here:


When you have 8.5.3 FP2 installed, npjp2.dll is located under

C:\Program Files (x86)\IBM\Lotus\Notes\jvm\bin\new_plugin\npjp2.dll

When you install this JVM fix on top of FP2, the fix renames the new_plugin folder to plugin2. This causes the FP2 uninstall to fail when upgrading to FP3, since the uninstaller can no longer find the file. (Fix pack upgrades first uninstall the existing fix pack, then install the later one)

Resolving the problem

This has been reported to Quality Engineering under SPR # BJGY92GQ9T and is currently under investigation.

This issue only occurs when you install the JVM patch over Fix Pack 1 or 2 for 8.5.3. This issue does not occur if you install 8.5.3, then the JVM patch, then FP3. To work around this issue, rename the plugin2 folder back to new_plugin and then perform the upgrade.

Document information

More support for:

IBM Notes

Software version:,

Operating system(s):


Software edition:

All Editions

Reference #:


Modified date:


Translate my page

Content navigation